//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName CUSTOMER-RECORD                               <br>
* NewName DBS_CUSTOMER_RECORD                           <br>
* extends CACHE                                         <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class DBS_CUSTOMER_RECORD         extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  DBS_CUSTOMER_RECORD          instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    CUSTOMER_RECORD;

    private DBS_CUSTOMER_RECORD(Object program) {
        CUSTOMER_RECORD = new char[89  ];
        CUSTOMER_RECORD = this.xSpaces(89  ).toCharArray();
        COBOLD = (COBOLD)program;
        initDBS_CUSTOMER_RECORD();
    }
    public  static  DBS_CUSTOMER_RECORD getInstance(Object program) {
        if (instance == null) {
            instance = new  DBS_CUSTOMER_RECORD(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:DBS_CUSTOMER_RECORD");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "CUSTOMER-RECORD          " type = "Struct  " pos = "0000" lng = "0089" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUSTOMER_RECORD() {
        return  getString(CUSTOMER_RECORD,0,89);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUSTOMER_RECORD(String inStr) {
        setAsChar(CUSTOMER_RECORD,inStr,0,89);
    }

/*<Attr name = "REC-TYPE                 " type = "XX      " pos = "0000" lng = "0002" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getREC_TYPE() {
        return  getString(CUSTOMER_RECORD,0,2);
    }

/**Set Attribute Method                                 <br>*/

    public void setREC_TYPE(String inStr) {
        setAsChar(CUSTOMER_RECORD,inStr,0,2);
    }

/*<Attr name = "CUST-NO                  " type = "9(8)    " pos = "0002" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getCUST_NO() {
        return  getInteger(CUSTOMER_RECORD,2,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NO(int invalue) {
        setAsChar(CUSTOMER_RECORD,abs(invalue),2,8);
    }

/*<Attr name = "CUST-NAME                " type = "X(20)   " pos = "0010" lng = "0020" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUST_NAME() {
        return  getString(CUSTOMER_RECORD,10,20);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NAME(String inStr) {
        setAsChar(CUSTOMER_RECORD,inStr,10,20);
    }

/*<Attr name = "CUST-ADDRESS             " type = "Struct  " pos = "0030" lng = "0058" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUST_ADDRESS() {
        return  getString(CUSTOMER_RECORD,30,58);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_ADDRESS(String inStr) {
        setAsChar(CUSTOMER_RECORD,inStr,30,58);
    }

/*<Attr name = "CUST-CREDIT              " type = "9       " pos = "0088" lng = "0001" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getCUST_CREDIT() {
        return  getInteger(CUSTOMER_RECORD,88,1);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_CREDIT(int invalue) {
        setAsChar(CUSTOMER_RECORD,abs(invalue),88,1);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initDBS_CUSTOMER_RECORD()   {
        this.setCUSTOMER_RECORD(Spaces);
        this.setREC_TYPE(Spaces);
        this.setCUST_NO(Zeros);
        this.setCUST_NAME(Spaces);
        this.setCUST_ADDRESS(Spaces);
        this.setCUST_CREDIT(Zeros);
    }

/**Insert File Access Operations                            */
/*<AccessMethods>                                           */
    import at.anecon.cobol2java.frame.dbStatus;
    public dbStatus FILE_STATUS;
/*<Method name = "openDBS_CUSTOMER_REC" type = "access" />            */
    public String  openDBS_CUSTOMER_RECORD(String OpenModus) {
    //  OpenFile(DBS_CUSTOMER_RECORD,OpenModus);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "writeDBS_CUSTOMER_RE" type = "access" />            */
    public String  writeDBS_CUSTOMER_RECORD(CUSTOMER_RECORD) {
    //  writeFile(DBS_CUSTOMER_RECORD,CUSTOMER_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "readDBS_CUSTOMER_REC" type = "access" />            */
    public String  readDBS_CUSTOMER_RECORD(CUSTOMER_RECORD) {
    //  readFile(DBS_CUSTOMER_RECORD,CUSTOMER_RECORD);;
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "closeDBS_CUSTOMER_RE" type = "access" />            */
    public String  closeDBS_CUSTOMER_RECORD() {
    //  CloseFile(DBS_CUSTOMER_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*</AccessMethods>                                          */
/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: DBS_CUSTOMER_RECORD

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName ARTICLE-RECORD                                <br>
* NewName DBS_ARTICLE_RECORD                            <br>
* extends CACHE                                         <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class DBS_ARTICLE_RECORD          extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  DBS_ARTICLE_RECORD           instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    ARTICLE_RECORD;

    private DBS_ARTICLE_RECORD(Object program) {
        ARTICLE_RECORD = new char[67  ];
        ARTICLE_RECORD = this.xSpaces(67  ).toCharArray();
        COBOLD = (COBOLD)program;
        initDBS_ARTICLE_RECORD();
    }
    public  static  DBS_ARTICLE_RECORD getInstance(Object program) {
        if (instance == null) {
            instance = new  DBS_ARTICLE_RECORD(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:DBS_ARTICLE_RECORD");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "ARTICLE-RECORD           " type = "Struct  " pos = "0000" lng = "0067" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getARTICLE_RECORD() {
        return  getString(ARTICLE_RECORD,0,67);
    }

/**Set Attribute Method                                 <br>*/

    public void setARTICLE_RECORD(String inStr) {
        setAsChar(ARTICLE_RECORD,inStr,0,67);
    }

/*<Attr name = "REC-TYPE                 " type = "XX      " pos = "0000" lng = "0002" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getREC_TYPE() {
        return  getString(ARTICLE_RECORD,0,2);
    }

/**Set Attribute Method                                 <br>*/

    public void setREC_TYPE(String inStr) {
        setAsChar(ARTICLE_RECORD,inStr,0,2);
    }

/*<Attr name = "ART-NO                   " type = "9(8)    " pos = "0002" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getART_NO() {
        return  getInteger(ARTICLE_RECORD,2,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NO(int invalue) {
        setAsChar(ARTICLE_RECORD,abs(invalue),2,8);
    }

/*<Attr name = "ART-QUAN                 " type = "S9(5)   " pos = "0014" lng = "0006" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getART_QUAN() {
        return  getInteger(ARTICLE_RECORD,14,6);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_QUAN(int invalue) {
        setAsChar(ARTICLE_RECORD,invalue,14,6);
    }

/*<Attr name = "ART-PRICE                " type = "S999V99 " pos = "0020" lng = "0007" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public double getART_PRICE() {
        return  getDouble( ARTICLE_RECORD,20,7);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_PRICE(double invalue) {
        setAsChar(ARTICLE_RECORD,invalue,20,7,2);
    }

/*<Attr name = "ART-NAME                 " type = "X(40)   " pos = "0027" lng = "0040" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getART_NAME() {
        return  getString(ARTICLE_RECORD,27,40);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NAME(String inStr) {
        setAsChar(ARTICLE_RECORD,inStr,27,40);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initDBS_ARTICLE_RECORD()    {
        this.setARTICLE_RECORD(Spaces);
        this.setREC_TYPE(Spaces);
        this.setART_NO(Zeros);
        this.setART_QUAN(Zeros);
        this.setART_PRICE(Zeros);
        this.setART_NAME(Spaces);
    }

/**Insert File Access Operations                            */
/*<AccessMethods>                                           */
    import at.anecon.cobol2java.frame.dbStatus;
    public dbStatus FILE_STATUS;
/*<Method name = "openDBS_ARTICLE_RECO" type = "access" />            */
    public String  openDBS_ARTICLE_RECORD(String OpenModus) {
    //  OpenFile(DBS_ARTICLE_RECORD,OpenModus);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "writeDBS_ARTICLE_REC" type = "access" />            */
    public String  writeDBS_ARTICLE_RECORD(ARTICLE_RECORD) {
    //  writeFile(DBS_ARTICLE_RECORD,ARTICLE_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "readDBS_ARTICLE_RECO" type = "access" />            */
    public String  readDBS_ARTICLE_RECORD(ARTICLE_RECORD) {
    //  readFile(DBS_ARTICLE_RECORD,ARTICLE_RECORD);;
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "closeDBS_ARTICLE_REC" type = "access" />            */
    public String  closeDBS_ARTICLE_RECORD() {
    //  CloseFile(DBS_ARTICLE_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*</AccessMethods>                                          */
/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: DBS_ARTICLE_RECORD

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName ORDER-RECORD                                  <br>
* NewName DBS_ORDER_RECORD                              <br>
* extends CACHE                                         <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class DBS_ORDER_RECORD            extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  DBS_ORDER_RECORD             instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    ORDER_RECORD;

    private DBS_ORDER_RECORD(Object program) {
        ORDER_RECORD = new char[198 ];
        ORDER_RECORD = this.xSpaces(198 ).toCharArray();
        COBOLD = (COBOLD)program;
        initDBS_ORDER_RECORD();
    }
    public  static  DBS_ORDER_RECORD getInstance(Object program) {
        if (instance == null) {
            instance = new  DBS_ORDER_RECORD(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:DBS_ORDER_RECORD");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "ORDER-RECORD             " type = "Struct  " pos = "0000" lng = "0198" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getORDER_RECORD() {
        return  getString(ORDER_RECORD,0,198);
    }

/**Set Attribute Method                                 <br>*/

    public void setORDER_RECORD(String inStr) {
        setAsChar(ORDER_RECORD,inStr,0,198);
    }

/*<Attr name = "REC-TYPE                 " type = "XX      " pos = "0000" lng = "0002" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getREC_TYPE() {
        return  getString(ORDER_RECORD,0,2);
    }

/**Set Attribute Method                                 <br>*/

    public void setREC_TYPE(String inStr) {
        setAsChar(ORDER_RECORD,inStr,0,2);
    }

/*<Attr name = "ORDER-NO                 " type = "9(8)    " pos = "0002" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getORDER_NO() {
        return  getInteger(ORDER_RECORD,2,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setORDER_NO(int invalue) {
        setAsChar(ORDER_RECORD,abs(invalue),2,8);
    }

/*<Attr name = "CUST-NO                  " type = "9(8)    " pos = "0010" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getCUST_NO() {
        return  getInteger(ORDER_RECORD,10,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NO(int invalue) {
        setAsChar(ORDER_RECORD,abs(invalue),10,8);
    }

/*<Attr name = "ART-NO                   " type = "9(8)    " pos = "0021" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getART_NO(int index) {
        return  getInteger(ORDER_RECORD,21,72,8,index);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NO(int invalue, int index ) {
        setAsChar(ORDER_RECORD,abs(invalue),21,72,8,index);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initDBS_ORDER_RECORD()      {
        this.setORDER_RECORD(Spaces);
        this.setREC_TYPE(Spaces);
        this.setORDER_NO(Zeros);
        this.setCUST_NO(Zeros);
        this.setART_NO(Zeros);
    }

/**Insert File Access Operations                            */
/*<AccessMethods>                                           */
    import at.anecon.cobol2java.frame.dbStatus;
    public dbStatus FILE_STATUS;
/*<Method name = "openDBS_ORDER_RECORD" type = "access" />            */
    public String  openDBS_ORDER_RECORD(String OpenModus) {
    //  OpenFile(DBS_ORDER_RECORD,OpenModus);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "writeDBS_ORDER_RECOR" type = "access" />            */
    public String  writeDBS_ORDER_RECORD(ORDER_RECORD) {
    //  writeFile(DBS_ORDER_RECORD,ORDER_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "readDBS_ORDER_RECORD" type = "access" />            */
    public String  readDBS_ORDER_RECORD(ORDER_RECORD) {
    //  readFile(DBS_ORDER_RECORD,ORDER_RECORD);;
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "closeDBS_ORDER_RECOR" type = "access" />            */
    public String  closeDBS_ORDER_RECORD() {
    //  CloseFile(DBS_ORDER_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*</AccessMethods>                                          */
/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: DBS_ORDER_RECORD

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName DISPATCH-RECORD                               <br>
* NewName DBS_DISPATCH_RECORD                           <br>
* extends CACHE                                         <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class DBS_DISPATCH_RECORD         extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  DBS_DISPATCH_RECORD          instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    DISPATCH_RECORD;

    private DBS_DISPATCH_RECORD(Object program) {
        DISPATCH_RECORD = new char[116 ];
        DISPATCH_RECORD = this.xSpaces(116 ).toCharArray();
        COBOLD = (COBOLD)program;
        initDBS_DISPATCH_RECORD();
    }
    public  static  DBS_DISPATCH_RECORD getInstance(Object program) {
        if (instance == null) {
            instance = new  DBS_DISPATCH_RECORD(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:DBS_DISPATCH_RECORD");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "DISPATCH-RECORD          " type = "Struct  " pos = "0000" lng = "0116" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getDISPATCH_RECORD() {
        return  getString(DISPATCH_RECORD,0,116);
    }

/**Set Attribute Method                                 <br>*/

    public void setDISPATCH_RECORD(String inStr) {
        setAsChar(DISPATCH_RECORD,inStr,0,116);
    }

/*<Attr name = "REC-TYPE                 " type = "XX      " pos = "0000" lng = "0002" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getREC_TYPE() {
        return  getString(DISPATCH_RECORD,0,2);
    }

/**Set Attribute Method                                 <br>*/

    public void setREC_TYPE(String inStr) {
        setAsChar(DISPATCH_RECORD,inStr,0,2);
    }

/*<Attr name = "ORDER-NO                 " type = "9(8)    " pos = "0002" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getORDER_NO() {
        return  getInteger(DISPATCH_RECORD,2,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setORDER_NO(int invalue) {
        setAsChar(DISPATCH_RECORD,abs(invalue),2,8);
    }

/*<Attr name = "CUST-NO                  " type = "9(8)    " pos = "0010" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getCUST_NO() {
        return  getInteger(DISPATCH_RECORD,10,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NO(int invalue) {
        setAsChar(DISPATCH_RECORD,abs(invalue),10,8);
    }

/*<Attr name = "CUST-NAME                " type = "X(20)   " pos = "0018" lng = "0020" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUST_NAME() {
        return  getString(DISPATCH_RECORD,18,20);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NAME(String inStr) {
        setAsChar(DISPATCH_RECORD,inStr,18,20);
    }

/*<Attr name = "CUST-ADDRESS             " type = "Struct  " pos = "0038" lng = "0058" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUST_ADDRESS() {
        return  getString(DISPATCH_RECORD,38,58);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_ADDRESS(String inStr) {
        setAsChar(DISPATCH_RECORD,inStr,38,58);
    }

/*<Attr name = "DISPATCH-ITEM            " type = "Struct  " pos = "0096" lng = "0019" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getDISPATCH_ITEM() {
        return  getString(DISPATCH_RECORD,96,19);
    }

/**Set Attribute Method                                 <br>*/

    public void setDISPATCH_ITEM(String inStr) {
        setAsChar(DISPATCH_RECORD,inStr,96,19);
    }

/*<Attr name = "ART-NO                   " type = "9(8)    " pos = "0099" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getART_NO() {
        return  getInteger(DISPATCH_RECORD,99,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NO(int invalue) {
        setAsChar(DISPATCH_RECORD,abs(invalue),99,8);
    }

/*<Attr name = "PAYMENT                  " type = "X       " pos = "0115" lng = "0001" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getPAYMENT() {
        return  getString(DISPATCH_RECORD,115,1);
    }

/**Set Attribute Method                                 <br>*/

    public void setPAYMENT(String inStr) {
        setAsChar(DISPATCH_RECORD,inStr,115,1);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initDBS_DISPATCH_RECORD()   {
        this.setDISPATCH_RECORD(Spaces);
        this.setREC_TYPE(Spaces);
        this.setORDER_NO(Zeros);
        this.setCUST_NO(Zeros);
        this.setCUST_NAME(Spaces);
        this.setCUST_ADDRESS(Spaces);
        this.setDISPATCH_ITEM(Spaces);
        this.setART_NO(Zeros);
        this.setPAYMENT(Spaces);
    }

/**Insert File Access Operations                            */
/*<AccessMethods>                                           */
    import at.anecon.cobol2java.frame.dbStatus;
    public dbStatus FILE_STATUS;
/*<Method name = "openDBS_DISPATCH_REC" type = "access" />            */
    public String  openDBS_DISPATCH_RECORD(String OpenModus) {
    //  OpenFile(DBS_DISPATCH_RECORD,OpenModus);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "writeDBS_DISPATCH_RE" type = "access" />            */
    public String  writeDBS_DISPATCH_RECORD(DISPATCH_RECORD) {
    //  writeFile(DBS_DISPATCH_RECORD,DISPATCH_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "readDBS_DISPATCH_REC" type = "access" />            */
    public String  readDBS_DISPATCH_RECORD(DISPATCH_RECORD) {
    //  readFile(DBS_DISPATCH_RECORD,DISPATCH_RECORD);;
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "closeDBS_DISPATCH_RE" type = "access" />            */
    public String  closeDBS_DISPATCH_RECORD() {
    //  CloseFile(DBS_DISPATCH_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*</AccessMethods>                                          */
/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: DBS_DISPATCH_RECORD

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName POSITION-RECORD                               <br>
* NewName DBS_POSITION_RECORD                           <br>
* extends CACHE                                         <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class DBS_POSITION_RECORD         extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  DBS_POSITION_RECORD          instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    POSITION_RECORD;

    private DBS_POSITION_RECORD(Object program) {
        POSITION_RECORD = new char[37  ];
        POSITION_RECORD = this.xSpaces(37  ).toCharArray();
        COBOLD = (COBOLD)program;
        initDBS_POSITION_RECORD();
    }
    public  static  DBS_POSITION_RECORD getInstance(Object program) {
        if (instance == null) {
            instance = new  DBS_POSITION_RECORD(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:DBS_POSITION_RECORD");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "POSITION-RECORD          " type = "Struct  " pos = "0000" lng = "0037" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getPOSITION_RECORD() {
        return  getString(POSITION_RECORD,0,37);
    }

/**Set Attribute Method                                 <br>*/

    public void setPOSITION_RECORD(String inStr) {
        setAsChar(POSITION_RECORD,inStr,0,37);
    }

/*<Attr name = "REC-TYPE                 " type = "XX      " pos = "0000" lng = "0002" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getREC_TYPE() {
        return  getString(POSITION_RECORD,0,2);
    }

/**Set Attribute Method                                 <br>*/

    public void setREC_TYPE(String inStr) {
        setAsChar(POSITION_RECORD,inStr,0,2);
    }

/*<Attr name = "ORDER-NO                 " type = "9(8)    " pos = "0002" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getORDER_NO() {
        return  getInteger(POSITION_RECORD,2,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setORDER_NO(int invalue) {
        setAsChar(POSITION_RECORD,abs(invalue),2,8);
    }

/*<Attr name = "CUST-NO                  " type = "9(8)    " pos = "0010" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getCUST_NO() {
        return  getInteger(POSITION_RECORD,10,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NO(int invalue) {
        setAsChar(POSITION_RECORD,abs(invalue),10,8);
    }

/*<Attr name = "DISPATCH-ITEM            " type = "Struct  " pos = "0018" lng = "0019" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getDISPATCH_ITEM() {
        return  getString(POSITION_RECORD,18,19);
    }

/**Set Attribute Method                                 <br>*/

    public void setDISPATCH_ITEM(String inStr) {
        setAsChar(POSITION_RECORD,inStr,18,19);
    }

/*<Attr name = "ART-NO                   " type = "9(8)    " pos = "0021" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getART_NO() {
        return  getInteger(POSITION_RECORD,21,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NO(int invalue) {
        setAsChar(POSITION_RECORD,abs(invalue),21,8);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initDBS_POSITION_RECORD()   {
        this.setPOSITION_RECORD(Spaces);
        this.setREC_TYPE(Spaces);
        this.setORDER_NO(Zeros);
        this.setCUST_NO(Zeros);
        this.setDISPATCH_ITEM(Spaces);
        this.setART_NO(Zeros);
    }

/**Insert File Access Operations                            */
/*<AccessMethods>                                           */
    import at.anecon.cobol2java.frame.dbStatus;
    public dbStatus FILE_STATUS;
/*<Method name = "openDBS_POSITION_REC" type = "access" />            */
    public String  openDBS_POSITION_RECORD(String OpenModus) {
    //  OpenFile(DBS_POSITION_RECORD,OpenModus);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "writeDBS_POSITION_RE" type = "access" />            */
    public String  writeDBS_POSITION_RECORD(POSITION_RECORD) {
    //  writeFile(DBS_POSITION_RECORD,POSITION_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "readDBS_POSITION_REC" type = "access" />            */
    public String  readDBS_POSITION_RECORD(POSITION_RECORD) {
    //  readFile(DBS_POSITION_RECORD,POSITION_RECORD);;
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "closeDBS_POSITION_RE" type = "access" />            */
    public String  closeDBS_POSITION_RECORD() {
    //  CloseFile(DBS_POSITION_RECORD);
        return  this.FILE_STATUS = 0;
    }

/*</AccessMethods>                                          */
/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: DBS_POSITION_RECORD

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName PRT-LINE                                      <br>
* NewName DBS_PRT_LINE                                  <br>
* extends CACHE                                         <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class DBS_PRT_LINE                extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  DBS_PRT_LINE                 instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    PRT_LINE;

    private DBS_PRT_LINE(Object program) {
        PRT_LINE = new char[133 ];
        PRT_LINE = this.xSpaces(133 ).toCharArray();
        COBOLD = (COBOLD)program;
        initDBS_PRT_LINE();
    }
    public  static  DBS_PRT_LINE getInstance(Object program) {
        if (instance == null) {
            instance = new  DBS_PRT_LINE(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:DBS_PRT_LINE");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "PRT-LINE                 " type = "X(133)  " pos = "0000" lng = "0133" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getPRT_LINE() {
        return  getString(PRT_LINE,0,133);
    }

/**Set Attribute Method                                 <br>*/

    public void setPRT_LINE(String inStr) {
        setAsChar(PRT_LINE,inStr,0,133);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initDBS_PRT_LINE()          {
        this.setPRT_LINE(Spaces);
    }

/**Insert File Access Operations                            */
/*<AccessMethods>                                           */
    import at.anecon.cobol2java.frame.dbStatus;
    public dbStatus FILE_STATUS;
/*<Method name = "openDBS_PRT_LINE" type = "access" />                */
    public String  openDBS_PRT_LINE(String OpenModus) {
    //  OpenFile(DBS_PRT_LINE,OpenModus);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "writeDBS_PRT_LINE" type = "access" />               */
    public String  writeDBS_PRT_LINE(PRT_LINE) {
    //  writeFile(DBS_PRT_LINE,PRT_LINE);
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "readDBS_PRT_LINE" type = "access" />                */
    public String  readDBS_PRT_LINE(PRT_LINE) {
    //  readFile(DBS_PRT_LINE,PRT_LINE);;
        return  this.FILE_STATUS = 0;
    }

/*<Method name = "closeDBS_PRT_LINE" type = "access" />               */
    public String  closeDBS_PRT_LINE() {
    //  CloseFile(DBS_PRT_LINE);
        return  this.FILE_STATUS = 0;
    }

/*</AccessMethods>                                          */
/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: DBS_PRT_LINE

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName HEADER-PRT-LINE                               <br>
* NewName WRK_HEADER_PRT_LINE                           <br>
* extends WORK                                          <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class WRK_HEADER_PRT_LINE         extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  WRK_HEADER_PRT_LINE          instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    HEADER_PRT_LINE;

    private WRK_HEADER_PRT_LINE(Object program) {
        HEADER_PRT_LINE = new char[144 ];
        HEADER_PRT_LINE = this.xSpaces(144 ).toCharArray();
        COBOLD = (COBOLD)program;
        initWRK_HEADER_PRT_LINE();
    }
    public  static  WRK_HEADER_PRT_LINE getInstance(Object program) {
        if (instance == null) {
            instance = new  WRK_HEADER_PRT_LINE(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:WRK_HEADER_PRT_LINE");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "HEADER-PRT-LINE          " type = "Struct  " pos = "0000" lng = "0144" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getHEADER_PRT_LINE() {
        return  getString(HEADER_PRT_LINE,0,144);
    }

/**Set Attribute Method                                 <br>*/

    public void setHEADER_PRT_LINE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,0,144);
    }

/*<Attr name = "ORDER-NO-TITLE           " type = "X(14)   " pos = "0001" lng = "0014" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getORDER_NO_TITLE() {
        return  getString(HEADER_PRT_LINE,1,14);
    }

/**Set Attribute Method                                 <br>*/

    public void setORDER_NO_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,1,14);
    }

/*<Attr name = "CUST-NO-TITLE            " type = "X(14)   " pos = "0015" lng = "0014" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUST_NO_TITLE() {
        return  getString(HEADER_PRT_LINE,15,14);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NO_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,15,14);
    }

/*<Attr name = "CUST-NAME-TITLE          " type = "X(20)   " pos = "0029" lng = "0020" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUST_NAME_TITLE() {
        return  getString(HEADER_PRT_LINE,29,20);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NAME_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,29,20);
    }

/*<Attr name = "ART-NO-TITLE             " type = "X(14)   " pos = "0049" lng = "0014" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getART_NO_TITLE() {
        return  getString(HEADER_PRT_LINE,49,14);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NO_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,49,14);
    }

/*<Attr name = "ART-NAME-TITLE           " type = "X(20)   " pos = "0063" lng = "0020" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getART_NAME_TITLE() {
        return  getString(HEADER_PRT_LINE,63,20);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NAME_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,63,20);
    }

/*<Attr name = "ART-QUAN-TITLE           " type = "X(14)   " pos = "0083" lng = "0014" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getART_QUAN_TITLE() {
        return  getString(HEADER_PRT_LINE,83,14);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_QUAN_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,83,14);
    }

/*<Attr name = "ART-PRICE-TITLE          " type = "X(14)   " pos = "0097" lng = "0014" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getART_PRICE_TITLE() {
        return  getString(HEADER_PRT_LINE,97,14);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_PRICE_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,97,14);
    }

/*<Attr name = "TOTAL-PRICE-TITLE        " type = "X(14)   " pos = "0111" lng = "0014" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getTOTAL_PRICE_TITLE() {
        return  getString(HEADER_PRT_LINE,111,14);
    }

/**Set Attribute Method                                 <br>*/

    public void setTOTAL_PRICE_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,111,14);
    }

/*<Attr name = "PAGE-TITLE               " type = "X(7)    " pos = "0125" lng = "0007" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getPAGE_TITLE() {
        return  getString(HEADER_PRT_LINE,125,7);
    }

/**Set Attribute Method                                 <br>*/

    public void setPAGE_TITLE(String inStr) {
        setAsChar(HEADER_PRT_LINE,inStr,125,7);
    }

/*<Attr name = "PAGE-COUNT-NO            " type = "9999    " pos = "0132" lng = "0004" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getPAGE_COUNT_NO() {
        return  getInteger(HEADER_PRT_LINE,132,4);
    }

/**Set Attribute Method                                 <br>*/

    public void setPAGE_COUNT_NO(int invalue) {
        setAsChar(HEADER_PRT_LINE,abs(invalue),132,4);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initWRK_HEADER_PRT_LINE()   {
        this.setHEADER_PRT_LINE(Spaces);
        this.setORDER_NO_TITLE(" ORDER NUMBER ");
        this.setCUST_NO_TITLE(" CUSTOMER NO. ");
        this.setCUST_NAME_TITLE("    CUSTOMER NAME   ");
        this.setART_NO_TITLE("ARTICLE NUMBER");
        this.setART_NAME_TITLE("     ARTICLE NAME   ");
        this.setART_QUAN_TITLE(" ORDER AMOUNT ");
        this.setART_PRICE_TITLE(" ARTICLE PRICE");
        this.setTOTAL_PRICE_TITLE(" TOTAL PRICE  ");
        this.setPAGE_TITLE(" PAGE: ");
        this.setPAGE_COUNT_NO(Zeros);
    }

/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: WRK_HEADER_PRT_LINE

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName UNDER-LINE                                    <br>
* NewName WRK_UNDER_LINE                                <br>
* extends WORK                                          <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class WRK_UNDER_LINE              extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  WRK_UNDER_LINE               instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    UNDER_LINE;

    private WRK_UNDER_LINE(Object program) {
        UNDER_LINE = new char[133 ];
        UNDER_LINE = this.xSpaces(133 ).toCharArray();
        COBOLD = (COBOLD)program;
        initWRK_UNDER_LINE();
    }
    public  static  WRK_UNDER_LINE getInstance(Object program) {
        if (instance == null) {
            instance = new  WRK_UNDER_LINE(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:WRK_UNDER_LINE");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "UNDER-LINE               " type = "Struct  " pos = "0000" lng = "0133" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getUNDER_LINE() {
        return  getString(UNDER_LINE,0,133);
    }

/**Set Attribute Method                                 <br>*/

    public void setUNDER_LINE(String inStr) {
        setAsChar(UNDER_LINE,inStr,0,133);
    }

/*<Attr name = "UNDER-LINE-FILL-001      " type = "X(132)  " pos = "0001" lng = "0132" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getUNDER_LINE_FILL_001() {
        return  getString(UNDER_LINE,1,132);
    }

/**Set Attribute Method                                 <br>*/

    public void setUNDER_LINE_FILL_001(String inStr) {
        setAsChar(UNDER_LINE,inStr,1,132);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initWRK_UNDER_LINE()        {
        this.setUNDER_LINE(Spaces);
        this.setUNDER_LINE_FILL_001("*");
    }

/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: WRK_UNDER_LINE

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName DATA-PRT-LINE                                 <br>
* NewName WRK_DATA_PRT_LINE                             <br>
* extends WORK                                          <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class WRK_DATA_PRT_LINE           extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  WRK_DATA_PRT_LINE            instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    DATA_PRT_LINE;

    private WRK_DATA_PRT_LINE(Object program) {
        DATA_PRT_LINE = new char[155 ];
        DATA_PRT_LINE = this.xSpaces(155 ).toCharArray();
        COBOLD = (COBOLD)program;
        initWRK_DATA_PRT_LINE();
    }
    public  static  WRK_DATA_PRT_LINE getInstance(Object program) {
        if (instance == null) {
            instance = new  WRK_DATA_PRT_LINE(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:WRK_DATA_PRT_LINE");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "DATA-PRT-LINE            " type = "Struct  " pos = "0000" lng = "0155" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getDATA_PRT_LINE() {
        return  getString(DATA_PRT_LINE,0,155);
    }

/**Set Attribute Method                                 <br>*/

    public void setDATA_PRT_LINE(String inStr) {
        setAsChar(DATA_PRT_LINE,inStr,0,155);
    }

/*<Attr name = "ORDER-NO                 " type = "9(8)    " pos = "0007" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getORDER_NO() {
        return  getInteger(DATA_PRT_LINE,7,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setORDER_NO(int invalue) {
        setAsChar(DATA_PRT_LINE,abs(invalue),7,8);
    }

/*<Attr name = "CUST-NO                  " type = "9(8)    " pos = "0027" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getCUST_NO() {
        return  getInteger(DATA_PRT_LINE,27,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NO(int invalue) {
        setAsChar(DATA_PRT_LINE,abs(invalue),27,8);
    }

/*<Attr name = "CUST-NAME                " type = "X(20)   " pos = "0041" lng = "0020" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUST_NAME() {
        return  getString(DATA_PRT_LINE,41,20);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NAME(String inStr) {
        setAsChar(DATA_PRT_LINE,inStr,41,20);
    }

/*<Attr name = "ART-NO                   " type = "9(8)    " pos = "0067" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getART_NO() {
        return  getInteger(DATA_PRT_LINE,67,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NO(int invalue) {
        setAsChar(DATA_PRT_LINE,abs(invalue),67,8);
    }

/*<Attr name = "ART-NAME                 " type = "X(20)   " pos = "0081" lng = "0020" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getART_NAME() {
        return  getString(DATA_PRT_LINE,81,20);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_NAME(String inStr) {
        setAsChar(DATA_PRT_LINE,inStr,81,20);
    }

/*<Attr name = "ART-QUAN                 " type = "9(8)    " pos = "0107" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getART_QUAN() {
        return  getInteger(DATA_PRT_LINE,107,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_QUAN(int invalue) {
        setAsChar(DATA_PRT_LINE,abs(invalue),107,8);
    }

/*<Attr name = "ART-PRICE                " type = "ZZZZ9.99" pos = "0127" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getART_PRICE() {
        return  getString(DATA_PRT_LINE,127,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setART_PRICE(String inStr) {
        setAsChar(DATA_PRT_LINE,inStr,127,8);
    }

/*<Attr name = "TOTAL-PRICE              " type = "ZZZZ9.99" pos = "0141" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getTOTAL_PRICE() {
        return  getString(DATA_PRT_LINE,141,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setTOTAL_PRICE(String inStr) {
        setAsChar(DATA_PRT_LINE,inStr,141,8);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initWRK_DATA_PRT_LINE()     {
        this.setDATA_PRT_LINE(Spaces);
        this.setORDER_NO(Zeros);
        this.setCUST_NO(Zeros);
        this.setCUST_NAME(Spaces);
        this.setART_NO(Zeros);
        this.setART_NAME(Spaces);
        this.setART_QUAN(Zeros);
        this.setART_PRICE(Spaces);
        this.setTOTAL_PRICE(Spaces);
    }

/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: WRK_DATA_PRT_LINE

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName ERROR-PRT-LINE                                <br>
* NewName WRK_ERROR_PRT_LINE                            <br>
* extends WORK                                          <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class WRK_ERROR_PRT_LINE          extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  WRK_ERROR_PRT_LINE           instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    ERROR_PRT_LINE;

    private WRK_ERROR_PRT_LINE(Object program) {
        ERROR_PRT_LINE = new char[133 ];
        ERROR_PRT_LINE = this.xSpaces(133 ).toCharArray();
        COBOLD = (COBOLD)program;
        initWRK_ERROR_PRT_LINE();
    }
    public  static  WRK_ERROR_PRT_LINE getInstance(Object program) {
        if (instance == null) {
            instance = new  WRK_ERROR_PRT_LINE(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:WRK_ERROR_PRT_LINE");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "ERROR-PRT-LINE           " type = "Struct  " pos = "0000" lng = "0133" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getERROR_PRT_LINE() {
        return  getString(ERROR_PRT_LINE,0,133);
    }

/**Set Attribute Method                                 <br>*/

    public void setERROR_PRT_LINE(String inStr) {
        setAsChar(ERROR_PRT_LINE,inStr,0,133);
    }

/*<Attr name = "ERROR-MESSAGE            " type = "X(40)   " pos = "0007" lng = "0040" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getERROR_MESSAGE() {
        return  getString(ERROR_PRT_LINE,7,40);
    }

/**Set Attribute Method                                 <br>*/

    public void setERROR_MESSAGE(String inStr) {
        setAsChar(ERROR_PRT_LINE,inStr,7,40);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initWRK_ERROR_PRT_LINE()    {
        this.setERROR_PRT_LINE(Spaces);
        this.setERROR_MESSAGE(Spaces);
    }

/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: WRK_ERROR_PRT_LINE

//------------------------------------------------------------------------------------------------------------------<br>
/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName SUMMARY-PRT-LINE                              <br>
* NewName WRK_SUMMARY_PRT_LINE                          <br>
* extends WORK                                          <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.COBOLObject;
import at.anecon.cobol2java.frame.ProcessingInfo;
import at.anecon.cobol2java.programs.COBOLD  ;
import java.util.*;
import at.anecon.cobol2java.frame.dbstatus;
import at.anecon.cobol2java.cobold.storage.IDSDB
public  class WRK_SUMMARY_PRT_LINE        extends COBOLObject {
/**Define static class Object                           <br>*/

    private static  WRK_SUMMARY_PRT_LINE         instance = null;
    private static  COBOLD    COBOLD    ;
// This is a place holder for potential methods

    public  static  char[]    SUMMARY_PRT_LINE;

    private WRK_SUMMARY_PRT_LINE(Object program) {
        SUMMARY_PRT_LINE = new char[118 ];
        SUMMARY_PRT_LINE = this.xSpaces(118 ).toCharArray();
        COBOLD = (COBOLD)program;
        initWRK_SUMMARY_PRT_LINE();
    }
    public  static  WRK_SUMMARY_PRT_LINE getInstance(Object program) {
        if (instance == null) {
            instance = new  WRK_SUMMARY_PRT_LINE(program);
        }
        return instance;
    }

    public  ProcessingInfo performOperation(ProcessingInfo  processingInfoIn) throws Exception {
        System.out.println("Performing Operation in CLASS:WRK_SUMMARY_PRT_LINE");
        String methodId = processingInfoIn.getMethodId();
        String xNextMethod = null;
//$$    This is a marker for potential method invocations
        if (xNextMethod == null) throw new Exception(" No matching method found:"+xNextMethod);
        ProcessingInfo processingInfoOut =  new ProcessingInfo(xNextMethod);
        return processingInfoOut;
    }

/*<Attributes>                                          <br>*/
/*<Attr name = "SUMMARY-PRT-LINE         " type = "Struct  " pos = "0000" lng = "0118" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getSUMMARY_PRT_LINE() {
        return  getString(SUMMARY_PRT_LINE,0,118);
    }

/**Set Attribute Method                                 <br>*/

    public void setSUMMARY_PRT_LINE(String inStr) {
        setAsChar(SUMMARY_PRT_LINE,inStr,0,118);
    }

/*<Attr name = "CUST-NO                  " type = "9(8)    " pos = "0027" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getCUST_NO() {
        return  getInteger(SUMMARY_PRT_LINE,27,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NO(int invalue) {
        setAsChar(SUMMARY_PRT_LINE,abs(invalue),27,8);
    }

/*<Attr name = "CUST-NAME                " type = "X(20)   " pos = "0041" lng = "0020" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getCUST_NAME() {
        return  getString(SUMMARY_PRT_LINE,41,20);
    }

/**Set Attribute Method                                 <br>*/

    public void setCUST_NAME(String inStr) {
        setAsChar(SUMMARY_PRT_LINE,inStr,41,20);
    }

/*<Attr name = "ITEMS-ORDERED-TITLE      " type = "X(15)   " pos = "0061" lng = "0015" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getITEMS_ORDERED_TITLE() {
        return  getString(SUMMARY_PRT_LINE,61,15);
    }

/**Set Attribute Method                                 <br>*/

    public void setITEMS_ORDERED_TITLE(String inStr) {
        setAsChar(SUMMARY_PRT_LINE,inStr,61,15);
    }

/*<Attr name = "NO-ITEMS-ORDERED         " type = "99      " pos = "0076" lng = "0002" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getNO_ITEMS_ORDERED() {
        return  getInteger(SUMMARY_PRT_LINE,76,2);
    }

/**Set Attribute Method                                 <br>*/

    public void setNO_ITEMS_ORDERED(int invalue) {
        setAsChar(SUMMARY_PRT_LINE,abs(invalue),76,2);
    }

/*<Attr name = "ITEMS-FULFILLED-TITLE    " type = "X(17)   " pos = "0078" lng = "0017" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getITEMS_FULFILLED_TITLE() {
        return  getString(SUMMARY_PRT_LINE,78,17);
    }

/**Set Attribute Method                                 <br>*/

    public void setITEMS_FULFILLED_TITLE(String inStr) {
        setAsChar(SUMMARY_PRT_LINE,inStr,78,17);
    }

/*<Attr name = "NO-ITEMS-FULFILLED       " type = "99      " pos = "0095" lng = "0002" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public int    getNO_ITEMS_FULFILLED() {
        return  getInteger(SUMMARY_PRT_LINE,95,2);
    }

/**Set Attribute Method                                 <br>*/

    public void setNO_ITEMS_FULFILLED(int invalue) {
        setAsChar(SUMMARY_PRT_LINE,abs(invalue),95,2);
    }

/*<Attr name = "TOTAL-PRICE-TITLE        " type = "X(13)   " pos = "0097" lng = "0013" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getTOTAL_PRICE_TITLE() {
        return  getString(SUMMARY_PRT_LINE,97,13);
    }

/**Set Attribute Method                                 <br>*/

    public void setTOTAL_PRICE_TITLE(String inStr) {
        setAsChar(SUMMARY_PRT_LINE,inStr,97,13);
    }

/*<Attr name = "TOTAL-PRICE-FOR-CUST     " type = "ZZZZ9.99" pos = "0110" lng = "0008" comment = "undefined"/> <br> */

/**Get Attribute Method                                 <br>*/

    public String getTOTAL_PRICE_FOR_CUST() {
        return  getString(SUMMARY_PRT_LINE,110,8);
    }

/**Set Attribute Method                                 <br>*/

    public void setTOTAL_PRICE_FOR_CUST(String inStr) {
        setAsChar(SUMMARY_PRT_LINE,inStr,110,8);
    }

/*</Attributes>                                         <br>*/
/**Initialize Class Attributes                          <br>*/

    public  void  initWRK_SUMMARY_PRT_LINE()  {
        this.setSUMMARY_PRT_LINE(Spaces);
        this.setCUST_NO(Zeros);
        this.setCUST_NAME(Spaces);
        this.setITEMS_ORDERED_TITLE(" ITEMS ORDERED:");
        this.setNO_ITEMS_ORDERED(Zeros);
        this.setITEMS_FULFILLED_TITLE(" ITEMS FULFILLED:");
        this.setNO_ITEMS_FULFILLED(Zeros);
        this.setTOTAL_PRICE_TITLE(" TOTAL PRICE:");
        this.setTOTAL_PRICE_FOR_CUST(Spaces);
    }

/*<Processing Methods>                                  <br>*/
/*</Processing Methods>                                     */

} //End of Class: WRK_SUMMARY_PRT_LINE

/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName COBOLD                                        <br>
* NewName CACHE                                         <br>
* extends Storage                                       <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.Storage;
import at.anecon.cobol2java.cobold.*;
public  class CACHE                       extends Storage {
/** Singleton instance of this Storage Class            <br>*/
    private static  CACHE   instance = null;
    public  static  CACHE getInstance(Object program) {
        if (instance == null) {
            instance = new  CACHE(program);
        }
        return instance;
    }

    private static  CACHE instance = null;
/** Objects within this Storage Class                   <br>*/

    public static DBS_CUSTOMER_RECORD DBS_CUSTOMER_RECORD;
    public static DBS_ARTICLE_RECORD DBS_ARTICLE_RECORD;
    public static DBS_ORDER_RECORD DBS_ORDER_RECORD;
    public static DBS_DISPATCH_RECORD DBS_DISPATCH_RECORD;
    public static DBS_POSITION_RECORD DBS_POSITION_RECORD;
    public static DBS_PRT_LINE DBS_PRT_LINE;


/** Default singleton constructor                       <br>*/
/*@param program =COBOLD                                <br>*/
    private CACHE(Object program) {
    /** generated Object = DBS_CUSTOMER_RECORD */
        DBS_CUSTOMER_RECORD = DBS_CUSTOMER_RECORD.getInstance(progra
    /** generated Object = DBS_ARTICLE_RECORD */
        DBS_ARTICLE_RECORD = DBS_ARTICLE_RECORD.getInstance(program)
    /** generated Object = DBS_ORDER_RECORD */
        DBS_ORDER_RECORD = DBS_ORDER_RECORD.getInstance(program);
    /** generated Object = DBS_DISPATCH_RECORD */
        DBS_DISPATCH_RECORD = DBS_DISPATCH_RECORD.getInstance(progra
    /** generated Object = DBS_POSITION_RECORD */
        DBS_POSITION_RECORD = DBS_POSITION_RECORD.getInstance(progra
    /** generated Object = DBS_PRT_LINE */
        DBS_PRT_LINE = DBS_PRT_LINE.getInstance(program);
    }

} //End of Class: CACHE

/**-----------------------------------------------------<br>
* @author Harry M. Sneed                                <br>
* @date 20.14.07.11.                                    <br>
* Class {                                               <br>
* Component COBOLD                                      <br>
* OldName COBOLD                                        <br>
* NewName WORK                                          <br>
* extends Storage                                       <br>
* Object Description:                                   <br>
* } Class Definition                                    <br>
*-------------------------------------------------------<br>*/
package at.anecon.cobol2java.cobold.storage;
import at.anecon.cobol2java.frame.Storage;
import at.anecon.cobol2java.cobold.*;
public  class WORK                        extends Storage {
/** Singleton instance of this Storage Class            <br>*/
    private static  WORK    instance = null;
    public  static  WORK getInstance(Object program) {
        if (instance == null) {
            instance = new  WORK(program);
        }
        return instance;
    }

    private static  WORK instance = null;
/** Objects within this Storage Class                   <br>*/

    public static WRK_HEADER_PRT_LINE WRK_HEADER_PRT_LINE;
    public static WRK_UNDER_LINE WRK_UNDER_LINE;
    public static WRK_DATA_PRT_LINE WRK_DATA_PRT_LINE;
    public static WRK_ERROR_PRT_LINE WRK_ERROR_PRT_LINE;
    public static WRK_SUMMARY_PRT_LINE WRK_SUMMARY_PRT_LINE;


/** Default singleton constructor                       <br>*/
/*@param program =COBOLD                                <br>*/
    private WORK(Object program) {
    /** generated Object = WRK_HEADER_PRT_LINE */
        WRK_HEADER_PRT_LINE = WRK_HEADER_PRT_LINE.getInstance(progra
    /** generated Object = WRK_UNDER_LINE */
        WRK_UNDER_LINE = WRK_UNDER_LINE.getInstance(program);
    /** generated Object = WRK_DATA_PRT_LINE */
        WRK_DATA_PRT_LINE = WRK_DATA_PRT_LINE.getInstance(program);
    /** generated Object = WRK_ERROR_PRT_LINE */
        WRK_ERROR_PRT_LINE = WRK_ERROR_PRT_LINE.getInstance(program)
    /** generated Object = WRK_SUMMARY_PRT_LINE */
        WRK_SUMMARY_PRT_LINE = WRK_SUMMARY_PRT_LINE.getInstance(prog
    }

} //End of Class: WORK

/**Control Class for performing Sections                <br>*/
/**End of Package:  COBOLD                                  */
